Subject: Re: bug#78654: NS Emacs crashing (since stipples?)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Jun 2025 19:58:18 +0300

> From: Stéphane Marks <[email-masked]>
> Date: Wed, 4 Jun 2025 12:34:24 -0400
> Cc: [email-masked], [email-masked]
> 
>  seems to have a thinko: it should say this instead:
> 
>            if (s->row->mouse_face_p
>                && cursor_in_mouse_face_p (s->w))
>              {
>                face = FACE_FROM_ID_OR_NULL (s->f,
>                                             MOUSE_HL_INFO (s->f)->mouse_face_face_id);
> 
>                if (!face)  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
>                  face = FACE_FROM_ID (s->f, MOUSE_FACE_ID);
>                prepare_face_for_display (s->f, face);
> 
>  Can you try that change?
> 
>  Making a normal build now.  Will test today/tomorrow.
> 
>  So far, so good.  I'll give it more time before declaring success.  Thank you for the fast patch.
> 
> I have not seen this recur.  Would you prefer I submit a patch for this or would you handle this?

Thanks, I've now installed this on the master branch, and I'm closing
this bug.